<?php
//创建锁对象
$lock = new swoole_lock(SWOOLE_MUTEX); //互斥锁

echo "创建互斥锁\n";

//锁定
$lock->lock();

if (pcntl_fork() > 0) {
	sleep(5);
	$lock->unlock(); //解锁
} else {
	echo "子进程 等待锁\n";
	$lock->lock(); //锁定
	echo "子进程获取锁\n";
	$lock->unlock();
	echo "子进程关闭锁\n";
}

echo "主进程释放锁\n";
unset($lock);
sleep(5);
echo "子进程退出\n";
?>