<?php
//创建websocket服务器

/**
 * new swoole_websocket_server($host, $prot) 继承于 swoole_http_server()
 */

//创建websocket服务器对象，监听0.0.0.0:9501端口
$serv = new swoole_websocket_server("0.0.0.0", 9501);

/**
 * 监听打开
 * $serv : 服务器信息
 * $request : 请求信息
 */
$serv->on('open', function ($serv, $request) {
	var_dump($request);
	$serv->push($request->fd, "我是发送过去的数据！");
});

//消息事件
$serv->on('message', function ($serv, $request) {
	//echo "消息: " . $request->data . "\n";
	//$serv->push($request->fd, "数据: " . $request->data);
});

//关闭
$serv->on('close', function ($serv, $fd) {
	echo "关闭\n";
});

//启动服务
$serv->start();

//使用 js的 new WebSocket(wsServer) 做测试
?>