<?php
//客户端异步tcp
$client = new swoole_client(SWOOLE_SOCK_TCP, SWOOLE_SOCK_ASYNC);

//连接
$client->on('connect', function ($client) {
	$client->send('Hello World!');
});

//接收
$client->on('receive', function ($client, $data) {
	echo "Receive：$data\n";
});

//错误
$client->on('error', function ($client) {
	echo "Error\n";
});

//关闭
$client->on('close', function ($client) {
	echo "Close\n";
});

//发起连接
$client->connect('127.0.0.1', 80, 5);
?>