<?php
//进程数组
$workers = [];

//进程数
$workers_num = 3;

//创建 启动进程
for ($i = 0; $i < $workers_num; $i++) {
	//创建单独进程
	//$process = new swoole_process('doProcess');
	$process = new swoole_process('doProcess', false, false);

	//开启队列，类似于全局函数
	$process->useQueue();

	//启动进程，并获取进程ID
	$pid = $process->start();

	//存入进程数组
	$workers[$pid] = $process;
}

//创建进程函数
function doProcess(swoole_process $process) {
	//子进程写入信息
	//$process->write("PID:" . $process->pid);
	//echo "写入信息：" . $process->pid . '---' . $process->callback . "\n";

	$recv = $process->pop(); //默认长度 8192
	echo "从主进程获取到数据：" . $recv . "\n";
	sleep(5);
	$process->exit(0);
}

//添加进程事件 向米格子进程添加需要执行的动作
foreach ($workers as $pid => $process) {
	//添加事件
	/*swoole_event_add($process->pipe, function ($pipe) use ($process) {
		//读取数据
		$data = $process->read();
		echo "接收到：" . $data . "\n";
	});*/
	$process->push('Hello 子进程' . $pid . "\n");
}

//等待子进程结束回收资源
for ($i = 0; $i < $workers_num; $i++) {
	//等待执行完成
	$ret = swoole_process::wait();
	$pid = $ret['pid'];
	unset($workers[$pid]);
	echo "子进程退出" . $pid . "\n";
}
?>