<?php
//创建TCP服务
$server = new swoole_server('0.0.0.0', 9501);

//设置异步的进程工作数
$server->set(array('task_worker_num' => 5));

//投递异步任务
$server->on('receive', function ($server, $fd, $from_id, $data) {
	//异步ID
	$task_id = $server->task($data);
	echo "异步ID:$task_id\n";
});

//处理异步任务
$server->on('task', function ($server, $task_id, $from_id, $data) {
	echo "执行异步ID：$task_id\n";
	$server->finish("$data -> OK");
});

//执行完成
$server->on('finish', function ($server, $task_id, $data) {
	echo "执行完成\n";
});

//启动服务
$server->start();
?>