<?php
//创建UDP服务器

//创建UDP对象，监听 127.0.0.1:9501端口，类型为SWOOLE_SOCK_UDP
$serv = new swoole_server("0.0.0.0", 9501, SWOOLE_PROCESS, SWOOLE_SOCK_UDP);

/**
 * 监听数据接收事件 packet
 * $serv : 服务器信息
 * $data : 数据
 * $fd   : 客户端信息
 */
$serv->on('packet', function ($serv, $data, $fd) {
	$serv->sendto($fd['address'], $fd['port'], "返回数据 " . $data);
	var_dump($fd);
});

//启动服务器
$serv->start();

//使用 nc -u 127.0.0.1 9501 做测试
?>